%global pkg_name @PACKAGE@

%global common_summary Haskell %{pkg_name} library

%global common_description %{common_summary}

# add any Haskell library dependencies here:
#%%global ghc_pkg_deps ghc-@DEP1@-devel, ghc-@DEP2@-devel

# add any foreign library dependencies here:
#%%global ghc_pkg_c_deps @CDEP1@-devel

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           %{pkg_name}
Version:        @VERSION@
Release:        0%{?dist}
Summary:        Haskell %{pkg_name}

Group:          @GROUP@
License:        @LICENSE@
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.8.1
%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}

%description
%{common_description}


%prep
%setup -q


%build
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install


%clean
rm -rf $RPM_BUILD_ROOT


%{?ghc_binlib_package}


%files
%defattr(-,root,root,-)
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}


%changelog
* @DATE@ Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - @VERSION@-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
